GrailsRequestStateLookupStrategy (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.web.servlet.mvc
[Java] Interface GrailsRequestStateLookupStrategy

    public interface GrailsRequestStateLookupStrategy

Strategy interface for obtaining details about the currently executing request

Authors:
  Graeme Rocher

Since:
  2.0

Method Summary
`java.lang.String` | `getActionName(java.lang.String controllerName)` The action name for the given controller name
`java.lang.String` | `getActionName()` The action name
`java.lang.String` | `getCharacterEncoding()` The character encoding of the request
`java.lang.String` | `getContextPath()` Obtains the context path to use from the request
`java.lang.String` | `getControllerName()` The controller name
`java.lang.String` | `getHttpMethod()` @return The HTTP method
`GrailsWebRequest` | `getWebRequest()` @return the current request

Method Detail

### getActionName

    public java.lang.String getActionName(java.lang.String controllerName)

  The action name for the given controller name
  Parameters:
    `controllerName` - The controller name
  Returns:
    The action name or null if not known

### getActionName

    public java.lang.String getActionName()

  The action name
  Returns:
    The action name or null if not known

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  The character encoding of the request
  Returns:
    The character encoding

### getContextPath

    public java.lang.String getContextPath()

  Obtains the context path to use from the request
  Returns:
    The context path

### getControllerName

    public java.lang.String getControllerName()

  The controller name
  Returns:
    The controller name or null if not known

### getHttpMethod

    public java.lang.String getHttpMethod()

  Returns:
    The HTTP method

### getWebRequest

    public GrailsWebRequest getWebRequest()

  Returns:
    the current request

Groovy Documentation